Bug 1298457 - The link to pv doc is wrong
The link to pv doc is wrong
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 02:28 EST by Yanping Zhang
Modified: 2016-01-29 15:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 15:58:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2016-01-14 02:28:31 EST
Description of problem:
When there is no pvc created in project, login web console, try to attach pvc to dc/rc/pod, it will display "No persistent volume claims", and click the link "using persistent volumes" on the page, it redirects to a doc page not found.

Version-Release number of selected component (if applicable):
openshift v3.1.1.2
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2


How reproducible:
Always

Steps to Reproduce:
1.When there is no pvc created in project, login web console.
2.Try to attach pvc to dc/rc/pod, when it displays "No persistent volume claims", click the link "using persistent volumes" on the page, 
3.

Actual results:
2.It redirects to a page not found: https://docs.openshift.org/enterprise/latest/dev_guide/persistent_volumes.html

Expected results:
3.It should redirect to the right doc page: https://docs.openshift.com/enterprise/latest/dev_guide/persistent_volumes.html

Additional info:
Comment 1 Brenton Leanhardt 2016-01-14 08:16:01 EST
Great catch.  We've fixed this on master and will move this to ON_QA when we perform the rc build this morning.
Comment 2 Yanping Zhang 2016-01-15 01:56:57 EST
openshift v3.1.1.3
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2
Checked on puddle 3.1/2016-01-14.1/, now the link to PV doc works with https://docs.openshift.com/enterprise/latest/dev_guide/persistent_volumes.html
The bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.